import { Toolbar } from './components/MToolbar.vue';
import { Extension } from '@codemirror/state';
import { type MarkdownExtension } from '@lezer/markdown';
import { Options } from 'remark-rehype';
type Plugin = () => void;
export interface Plugins {
    remark?: (Plugin | [Plugin, object])[];
    rehype?: (Plugin | [Plugin, object])[];
    remarkRehypeOptions?: Options;
    codemirror?: {
        editor?: Extension[];
        markdown?: MarkdownExtension[];
    };
}
export interface CasketView {
    showEditor: boolean;
    showViewer: boolean;
    fullScreen: boolean;
}
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        required: true;
        type: import("vue").PropType<string>;
    };
    plugins: {
        type: import("vue").PropType<Plugins>;
    };
    toolbarl: {
        type: import("vue").PropType<Toolbar>;
    };
    toolbarr: {
        type: import("vue").PropType<Toolbar>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        required: true;
        type: import("vue").PropType<string>;
    };
    plugins: {
        type: import("vue").PropType<Plugins>;
    };
    toolbarl: {
        type: import("vue").PropType<Toolbar>;
    };
    toolbarr: {
        type: import("vue").PropType<Toolbar>;
    };
}>>, {}, {}>;
export default _default;
