import { EditorView } from '@codemirror/view';
import { Component } from 'vue';
import { CasketView } from '../CasketStar.vue';
export type DialogFunction = (component: Component, confirm?: Function) => void;
interface Tool {
    name: string;
    icon: string;
    func: (codemirror: EditorView, casketstar: CasketView, dialog: DialogFunction) => void;
}
interface ToolGroup {
    name: string;
    tool: Tool[];
}
export type Toolbar = ToolGroup[];
declare const _default: import("vue").DefineComponent<__VLS_TypePropsToRuntimeProps<{
    toolbarl: Toolbar;
    toolbarr: Toolbar;
    getCodemirror: () => EditorView | undefined;
    getCasketstar: () => CasketView | undefined;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    dialog: (args_0: Component, args_1: Function | undefined) => void;
    viewer: (args_0: "only-view" | "only-edit" | "both") => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_TypePropsToRuntimeProps<{
    toolbarl: Toolbar;
    toolbarr: Toolbar;
    getCodemirror: () => EditorView | undefined;
    getCasketstar: () => CasketView | undefined;
}>>> & {
    onDialog?: ((args_0: Component, args_1: Function | undefined) => any) | undefined;
    onViewer?: ((args_0: "only-view" | "only-edit" | "both") => any) | undefined;
}, {}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
