import type { Element, Root } from 'hast';
export type Build = () => Element;
interface Options {
    content?: string | Build;
}
/**
 * Process headlines for my blog.
 *
 * @param {Options | null | undefined} [options]
 *   Configuration (optional).
 * @returns
 *   Transform.
 */
export default function rehypeCopycode(options?: Options | undefined | null): (tree: Root) => undefined;
export {};
